> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List volumes

> List volumes



## OpenAPI

````yaml /api-specs/6.3/domino-volumes-api.yaml get /volumes
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers: []
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /volumes:
    get:
      tags:
        - volumes
      summary: List volumes
      description: List volumes
      parameters:
        - description: Limit
          in: query
          name: limit
          schema:
            type: integer
        - description: Offset
          in: query
          name: offset
          schema:
            type: integer
        - description: Order
          in: query
          name: order
          schema:
            type: string
        - description: Search
          in: query
          name: search
          schema:
            type: string
        - description: Sort by
          in: query
          name: sort_by
          schema:
            type: string
        - description: Filter strictly by volume roles
          in: query
          name: filter_strictly_by_volume_roles
          schema:
            type: boolean
        - description: Project ID
          in: query
          name: project_id
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Data Plane ID
          in: query
          name: data_plane_id
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Status
          in: query
          name: status
          explode: true
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PaginatedVolumes'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PaginatedVolumes:
      properties:
        data:
          items:
            $ref: '#/components/schemas/remotefs.Volume'
          type: array
        meta:
          $ref: '#/components/schemas/remotefs.Meta'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.Volume:
      properties:
        capacity:
          description: Maximum size in bytes
          type: integer
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        dataPlaneId:
          type: string
        description:
          type: string
        filesystemId:
          type: string
        filesystemName:
          type: string
        grants:
          items:
            $ref: '#/components/schemas/remotefs.VolumeGrant'
          type: array
        id:
          description: Links to ONTAP volume name
          type: string
        lastMountedTime:
          type: string
        maxSnapshots:
          type: integer
        name:
          type: string
        numSnapshots:
          type: integer
        path:
          type: string
        projects:
          items:
            $ref: '#/components/schemas/remotefs.Project'
          type: array
        status:
          $ref: '#/components/schemas/remotefs.ResourceStatus'
        storageSize:
          description: Used size in bytes
          type: integer
        uniqueName:
          type: string
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
      required:
        - capacity
        - createdAt
        - createdBy
        - dataPlaneId
        - filesystemId
        - id
        - maxSnapshots
        - name
        - numSnapshots
        - path
        - status
        - uniqueName
        - updatedAt
        - updatedBy
      type: object
    remotefs.Meta:
      properties:
        filters:
          items:
            $ref: '#/components/schemas/remotefs.Filter'
          type: array
        order:
          type: string
        pagination:
          $ref: '#/components/schemas/remotefs.Pagination'
        search:
          type: string
        sortBy:
          type: string
      type: object
    remotefs.UserSummary:
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
      required:
        - firstName
        - id
        - lastName
        - userName
      type: object
    remotefs.VolumeGrant:
      properties:
        isOrganization:
          type: boolean
        targetId:
          description: References Mongo user ID (including organizations)
          type: string
        targetName:
          type: string
        targetRole:
          $ref: '#/components/schemas/remotefs.VolumeRole'
      required:
        - isOrganization
        - targetId
        - targetName
        - targetRole
      type: object
    remotefs.Project:
      properties:
        addedAt:
          type: string
        addedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        name:
          type: string
        projectId:
          description: References Mongo project ID
          type: string
        volumeId:
          type: string
      required:
        - addedAt
        - addedBy
        - name
        - projectId
        - volumeId
      type: object
    remotefs.ResourceStatus:
      enum:
        - Active
        - MarkedForDeletion
        - Deleted
      type: string
      x-enum-varnames:
        - Active
        - MarkedForDeletion
        - Deleted
    remotefs.Filter:
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
      type: object
    remotefs.Pagination:
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
      type: object
    remotefs.VolumeRole:
      enum:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service
      type: string
      x-enum-varnames:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service

````